Thunderbird install instead of IceDove on Trisquel8

3 respuestas [Último envío]
sokolgeo
Desconectado/a
se unió: 11/22/2019

Hello!

I have Icedove installed in my Trisquel8 system. But it seems:
- Icedove is not the latest one - 52.9.1 version from Trisquel8 repository seems to be over a year old? https://en.wikipedia.org/wiki/Mozilla_Thunderbird#Releases
I am worried for security updates - is our mail client patched for security?
- IceDove is no longer necessary, since licensing problem was apparently resolved with Thunderbird:
https://en.wikipedia.org/wiki/Mozilla_software_rebranded_by_Debian#Icedove

But when I try simply

sudo apt-get install thunderbird
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'icedove' instead of 'thunderbird'
icedove is already the newest version (1:52.9.1+build3-0ubuntu0.16.04.1+8.0trisquel1).

So my question - is there more secure to install Thunderbird mail client over current Icedove in Trisquel8? And how one does install Thunderbird?

Thank you

loldier
Desconectado/a
se unió: 02/17/2016

Get Ubuntu's package and install with gdebi or dpkg.

https://packages.ubuntu.com/xenial/thunderbird

Or download a tarball from the official page.

https://www.thunderbird.net/en-US/

Debian's deb should work the same.

https://packages.debian.org/stretch/amd64/thunderbird/download

Magic Banana

I am a member!

Desconectado/a
se unió: 07/24/2010

In case of derivatives of Debian, Firefox branding can be used as long as the patches applied are in the same category as described above. Ubuntu having a different packaging, this does not apply to that distribution.
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=815006

ADFENO
Desconectado/a
se unió: 12/31/2012

So it's still non-free? It seems to be the case, since https://directory.fsf.org/wiki/Thunderbird still redirects to https://directory.fsf.org/wiki/Icedove .